//
//  UIColor+GMTheme.h
//  Gengmei
//  主题
//  Created by Thierry on 1/7/15.
//  Copyright (c) 2015 Wanmeichuangyi. All rights reserved.
//

#define RGBCOLOR_HEX(hexColor) [UIColor colorWithRed: (((hexColor >> 16) & 0xFF))/255.0f         \
green: (((hexColor >> 8) & 0xFF))/255.0f             \
blue: ((hexColor & 0xFF))/255.0f                    \
alpha: 1]

NS_ASSUME_NONNULL_BEGIN
@interface UIColor (GMTheme)
/** 医生版主视觉颜色,暂时改为红色，用来区分, (0x3ADBD2) */
@property (nonatomic, class, readonly) UIColor *mainVisual;
/** 医生版辅助颜色, (0xFF7690) */
@property (nonatomic, class, readonly) UIColor *secondaryVisual;
/** 医生版失效颜色, (0xD5D5D5) */
@property (nonatomic, class, readonly) UIColor *disable;
/** 医生版分割线颜色、边框颜色, (0xE5E5E5) */
@property (nonatomic, class, readonly) UIColor *separatorLine;
/** 医生版背景颜色, (0xF5F5F5) */
@property (nonatomic, class, readonly) UIColor *background;
/** 医生版提示背景颜色(黄), (0xF8F4DD) */
@property (nonatomic, class, readonly) UIColor *backgroundTip;
/** 医生版tag背景颜色, (0xF0F0F0) */
@property (nonatomic, class, readonly) UIColor *tagBackground;
/** 一级标题字、主要内容, (0x282828) */
@property (nonatomic, class, readonly) UIColor *headlineText;
/** 正文、普通文字内容, (0x464646) */
@property (nonatomic, class, readonly) UIColor *bodyText;
/** 可点击状态的文字更美绿, (0x4ABAB4) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextGreen;
/** 文字的更美红, (0xFF7690) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextRed;
/** 文字的更美黄提示色, (0x9D704F) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextYellow;
/** 辅助文字色, (0x666666) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextDark;
/** 辅助文字色, (0x999999) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextLight;
/** 辅助文字色, (0xcccccc) */
@property (nonatomic, class, readonly) UIColor *auxiliaryTextExtraLight;
/** 目前和MAIN_VISUAL_COLOR一样, (0x3ADBD2) */
@property (nonatomic, class, readonly) UIColor *buttonNormalGreen;
/** (0x1FB2A7) */
@property (nonatomic, class, readonly) UIColor *buttonHighlightGreen;
/** 目前和SECONDARY_VISUAL_COLOR一样, (0xFF7690) */
@property (nonatomic, class, readonly) UIColor *buttonNormalRed;
/** (0xE75873) */
@property (nonatomic, class, readonly) UIColor *buttonHighlightRed;
/** 目前和DISABLE_COLOR一样, (0xD5D5D5) */
@property (nonatomic, class, readonly) UIColor *buttonDisable;
/** 标签选中绿色, (0x24DAE0) */
@property (nonatomic, class, readonly) UIColor *tagSelectedGreen;
/**
 用于色值是数字
 */
+ (UIColor *)colorWithHex:(NSInteger)hex;

+ (UIColor *)colorWithHex:(NSInteger)hex alpha:(CGFloat)alpha;

/**
 用于色值字符串
 */

+ (UIColor *)colorWithHexString:(NSString *)hexString;

+ (UIColor *)colorWithHexString:(NSString *)hexString alpha:(CGFloat)alpha;

@end
NS_ASSUME_NONNULL_END
